%global srcname waitress

Summary:        Waitress WSGI server
Name:           python-%{srcname}
Version:        2.1.2
Release:        8%{?dist}
License:        ZPLv2.1
URL:            https://github.com/Pylons/%{srcname}
Source0:        v%{version}-nodocs.tar.gz

#https://github.com/Pylons/waitress/commit/e4359018537af376cf24bd13616d861e2fb76f65
Patch0001:      fix-CVE-2024-49768.patch
#https://github.com/Pylons/waitress/commit/1ae4e894c9f76543bee06584001583fc6fa8c95c
Patch0002:      fix-CVE-2024-49769.patch

BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server with
very acceptable performance. It has no dependencies except ones which live
in the Python standard library. It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.3+. It is also known to run on PyPy 1.6.0+ on UNIX.
It supports HTTP/1.0 and HTTP/1.1.

%package -n python3-%{srcname}
Summary:        Waitress WSGI server
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
Waitress is meant to be a production-quality pure-Python WSGI server with
very acceptable performance. It has no dependencies except ones which live
in the Python standard library. It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.3+. It is also known to run on PyPy 1.6.0+ on UNIX.
It supports HTTP/1.0 and HTTP/1.1.

%prep
%autosetup -n %{srcname}-%{version}-nodocs -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.txt
%{_bindir}/waitress-serve
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Fri Nov 15 2024 Feng Weiyao <wynnfeng@tencent.com> - 2.1.2-8
- Fix CVE-2024-49768, CVE-2024-49769

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Miaojun Dong <zoedong@tencent.com> - 2.1.2-1
- initial build
